---
apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  labels:
    kops.k8s.io/cluster: k8s-spot.datasaker.io
  name: k8s-spot-process-a2
spec:
  image: ami-0409b7ddbc59e3222
  machineType: m5a.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  mixedInstancesPolicy:
    onDemandAboveBase: 0
    onDemandBase: 0
    spotAllocationStrategy: capacity-optimized
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: k8s-spot-process-a2
  rootVolumeSize: 100
  role: Node
  subnets:
  - ap-northeast-2a
